RhinoShack-login   RhinoShack-login   Rhino 3d help   RhinoShack-login

 

objectsbyregion

Plus d'informations
il y a 2 semaines 2 jours #311 par onlyforpeace
onlyforpeace a créé le sujet : objectsbyregion
bonjour,

je ne comprends pas la commande rhino.objectsbyregion,
en effet, cette commande avec la variable intType, permet de filtrer les entités à sélectionner, si je met 0, il sélectionne tout, ok!
mais quand je met 8, il devrait me sélectionner les surfaces dans la région, et bien non!! il sélectionne rien du tout. pourquoi?

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 2 jours - il y a 2 semaines 2 jours #313 par SwissRhino
SwissRhino a répondu au sujet : objectsbyregion
Oui, ça a l'air d'un bug... Il n'y a que 1 (points) ou 0 (tout) qui marche actuellement... Je ferais un report...
Pour l'instant, il faut utiliser le 0 et ensuite filtrer des objets sélectionnés pour le type d'objet voulu...

Edit:
Apparemment, ce bug a déjà été signalé.

discourse.mcneel.com/t/objectsbyregion-error/27254

Malheureusement, le bug ne sera pas corrigé dans Rhino V5. Il est déjà corrigé dans Rhino V6.


--Mitch
Dernière édition: il y a 2 semaines 2 jours par SwissRhino. Raison: Plus d'info

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 2 jours #316 par onlyforpeace
onlyforpeace a répondu au sujet : objectsbyregion
arghhhhhhhhhhhh...
et la version 6 de rhino sort quand?

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 2 jours #317 par SwissRhino
SwissRhino a répondu au sujet : objectsbyregion
Option Explicit

Call Main()
Sub Main()
	Dim arrPts,strObj,arrObjs,arrSrfs(),i
	'd'abord chercher les points avec des méthodes diverses
	
	arrObjs = Rhino.ObjectsByRegion(arrPts, 0, 8)
        'Filtrer pour surfaces
	If Not IsArray(arrObjs)
		i = -1
		For Each strObj In arrObjs
			If Rhino.IsSurface(strObj) Then
				i = i + 1
				ReDim Preserve arrSrfs(i)
				arrSrfs(i) = strObj
			End If		
		Next
		If i > -1 Then
			'il y a au moins une surface sélectionnée
		Else
			'pas de surface sélectionnée
		End If
		'Voilà...
	End Sub

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 2 jours - il y a 2 semaines 2 jours #318 par onlyforpeace
onlyforpeace a répondu au sujet : objectsbyregion
oui c'est la méthode que j'ai suivi, en moins compacté bien sur...

j'essai python avec le lien que tu as posté, et bien je rencontre déjà un problème:
je tape:
import rhinoscriptsyntax as rs

def HelloWorld()
    rs.MessageBox ("Hello World")

HelloWorld()

et bien ça marche pas chez moi, pourquoi?
en output il me marque:
File "C:\Users\Babarit\AppData\Local\Temp\TempScript.py", line 3
    def HelloWorld()

                    ^
SyntaxError: unexpected token '<newline>'
Dernière édition: il y a 2 semaines 2 jours par onlyforpeace.

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 2 jours #319 par onlyforpeace
onlyforpeace a répondu au sujet : objectsbyregion
je fais des test sur python, mais l’outil de débogage, me pose quelques souci...

sur le message précédent, sur le bout de code, il manque les ":" après def helloworld()
du coup cela fonctionne maintenant,

donc à la suite de ce code, j'ai ajouter une ligne, ce qui donne:
import rhinoscriptsyntax as rs

def hello():
    rs.MessageBox("hello franck")
    strsurf=rs.GetSurfaceObject("select surface")
    
hello()
ce code pour essayer l'outil de debogage, donc je pose une balise et je lance, mais quand il arrive à la ligne rs.getsurface, il ouvre un nouvel onglet de script, genre le script qui défini l'outil getsurface, mais je n'arrive plus à en sortir, du coup je n'arrive pas à voir les variable de sortie de la surface.
je suis pas sur de bien me faire comprendre...

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 1 jour - il y a 2 semaines 1 jour #320 par SwissRhino
SwissRhino a répondu au sujet : objectsbyregion
Le script arrêt avant d’exécuter la ligne avec le breakpoint (point rouge). Il faut donc le placer juste après l’opération où on veut examiner les résultats. L’éditeur ne permet pas de mettre un breakpoint dans une ligne blanche ; il convient donc de simplement écrire « pass » - c’est un « placeholder » - dans la ligne, et l’éditeur permettra ensuite de le mettre.

Pour lancer le script (avec ou sans breakpoint), c’est la flèche verte. Les trois boutons à droite de la flèche sont « step into », « step over » et « step out » ; ils sont là pour des utilisateurs avancés, on peut les ignorer pour l’instant. Le dernier carré est « stop » qui arrêt le script là. (il faut un OK aussi).

Pièces jointes :
Dernière édition: il y a 2 semaines 1 jour par SwissRhino.

Connexion ou Créer un compte pour participer à la conversation.

Modérateurs: SwissRhinoJenniferlocaJoao
Temps de génération de la page : 0.207 secondes
Propulsé par Kunena

Powered by


 









3d design training








cadlantique.com









swissrhino.com